Start a bulk replay
POST
/v1/replays
const url = 'https://api.hooks.events/v1/replays';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"filters":{"endpointId":"example","since":"2026-04-15T12:00:00Z","until":"2026-04-15T12:00:00Z","eventType":"example","status":"all","limit":1},"destinationId":"example","destination":{"name":"example","url":"example","type":"example","config":{"additionalProperty":"example"}},"dryRun":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hooks.events/v1/replays \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "filters": { "endpointId": "example", "since": "2026-04-15T12:00:00Z", "until": "2026-04-15T12:00:00Z", "eventType": "example", "status": "all", "limit": 1 }, "destinationId": "example", "destination": { "name": "example", "url": "example", "type": "example", "config": { "additionalProperty": "example" } }, "dryRun": true }'Requires the deliveries:retry scope.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
filters
required
object
endpointId
required
string
since
string format: date-time
until
string format: date-time
eventType
string
status
string
limit
integer
destinationId
string
destination
object
name
string
url
required
string
type
string
config
object
key
additional properties
dryRun
boolean
Responses
Section titled “Responses”Success
Media typeapplication/json
Bulk replay job
object
key
additional properties
Example generated
{ "additionalProperty": "example"}Validation error
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Missing or invalid credentials
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}The credential lacks the required scope, or the workspace is not writable
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Rate limited
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Headers
Section titled “Headers”X-RateLimit-Limit
integer
Requests allowed per window
X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer
Seconds until the window resets